#
# spec file for package libxml2-python (Version 2.6.23)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libxml2-python
BuildRequires:  libxml2-devel python-devel
%define prefix      %{_prefix}
%define sysconfdir  %{_sysconfdir}
License:        X11/MIT
Group:          Development/Libraries/Python
Autoreqprov:    on
Summary:        Python Bindings for libxml2
Version:        2.6.23
Release:        15.2
Source:         libxml2-%{version}.tar.bz2
Patch:          libxml2-2.6.22-python-linkflags.patch
Patch1:         libxml2-python-whitespace.diff
%{py_requires}
Requires:       libxml2 = %{version}
# libxml tarball is contained in libxml2 source rpm
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://xmlsoft.org

%description
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows manipulation of XML files. It includes support for
reading, modifying, and writing XML and HTML files. There is DTD
support that includes parsing and validation even with complex DTDs,
either at parse time or later once the document has been modified.



Authors:
--------
    Daniel Veillard <daniel@veillard.com>
    Bjorn Reese <breese@users.sourceforge.net>
    William Brack <wbrack@mmm.com.hk>
    Igor Zlatkovic <igor@stud.fh-frankfurt.de>

%prep
%setup -q -n libxml2-%{version}
%patch -p1
%patch1 -p1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure --prefix=%prefix \
  --sysconfdir=%sysconfdir \
  --mandir=%{_mandir} \
  --libdir=%_libdir \
  --with-fexceptions \
  --with-history --enable-ipv6
# use libxml2 as built by libxml2 source package
mkdir .libs
cp -v /usr/%_lib/libxml2.la .
make -C python

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make -C python install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%py_sitedir \
	PYTHON_SITE_PACKAGES=%py_sitedir
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
# echo %{python_sitepath}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{py_sitedir}/*
# %_libdir/python*/site-packages/*
# %{python_sitepath}/libxml2.py
# %{python_sitepath}/libxml2mod.so
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py

%changelog -n libxml2-python
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - ke@suse.de
- Update to version 2.6.23.
* Fri Sep 16 2005 - ke@suse.de
- Update to version 2.6.22.
- Remove misleading link flag statement; thanks for advise to Dirk
  Mueller.
* Tue Aug 09 2005 - ke@suse.de
- Add missing require statement; reported by Ludwig Nussel [# 95216].
* Mon Jul 11 2005 - ke@suse.de
- Update to version 2.6.20.
* Mon Apr 04 2005 - ke@suse.de
- Update to version 2.6.18.
* Mon Jan 17 2005 - ke@suse.de
- Update to version 2.6.17.
* Wed Nov 24 2004 - mcihar@suse.cz
- use rpm macros to build correcly with current python
* Thu Nov 11 2004 - ke@suse.de
- Update to version 2.6.16.
* Thu Oct 28 2004 - ke@suse.de
- Update to version 2.6.15.
* Thu Oct 07 2004 - ke@suse.de
- Update to version 2.6.14.
* Mon Aug 23 2004 - ke@suse.de
- Update to version 2.6.12; for more info cf. the libxml2 changelog.
* Wed Jul 14 2004 - ke@suse.de
- Update to version 2.6.11; for more info cf. the libxml2 changelog.
* Mon Apr 19 2004 - ke@suse.de
- Update to version 2.6.9; for more info cf. the libxml2 changelog.
* Tue Feb 24 2004 - ke@suse.de
- Update to version 2.6.7; for more info cf. the libxml2 changelog.
* Fri Feb 13 2004 - ke@suse.de
- Update to version 2.6.6; for more info cf. the libxml2 changelog.
* Mon Jan 26 2004 - ke@suse.de
- Update to version 2.6.5; for more info cf. the libxml2 changelog.
* Wed Jan 07 2004 - ke@suse.de
- Update to version 2.6.4; for more info cf. the libxml2 changelog.
* Thu Dec 11 2003 - ke@suse.de
- Update to version 2.6.3; for more info cf. the libxml2 changelog.
* Wed Nov 05 2003 - ke@suse.de
- Update to version 2.6.2; for more info cf. the libxml2 changelog.
* Fri Aug 29 2003 - mcihar@suse.cz
- require same python version as it was built with
* Fri Aug 15 2003 - ke@suse.de
- Update to version 2.5.10; for more info cf. the libxml2 changelog.
* Thu Aug 14 2003 - ke@suse.de
- Update to version 2.5.9; for more info cf. the libxml2 changelog.
* Tue Jul 08 2003 - ke@suse.de
- Update to version 2.5.8; for more info cf. the libxml2 changelog.
* Mon May 26 2003 - ke@suse.de
- Remove unwanted files from $RPM_BUILD_ROOT.
* Mon Apr 28 2003 - ke@suse.de
- Update to version 2.5.7; for more info cf. the libxml2 changelog.
* Wed Apr 02 2003 - ke@suse.de
- Update to version 2.5.6; for more info cf. the libxml2 changelog.
* Wed Mar 26 2003 - ke@suse.de
- Update to version 2.5.5; for more info cf. the libxml2 changelog.
* Tue Feb 11 2003 - ke@suse.de
- Update to version 2.5.3; for more info cf. the libxml2 changelog.
* Thu Feb 06 2003 - ke@suse.de
- Update to version 2.5.2; for more info cf. the libxml2 changelog.
* Thu Jan 09 2003 - ke@suse.de
- Update to version 2.5.1.
* Thu Dec 12 2002 - ke@suse.de
- Update to version 2.4.30.
* Tue Nov 26 2002 - ro@suse.de
- split specfile to get rid of python dependencies in the main tree
